#
# spec file for package cairo-clock (Version 0.3.4)
#
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           cairo-clock
Summary:        Cairo-rendered on-screen clock
Version:        0.3.4
Release:        7.10
URL:            https://launchpad.net/cairo-clock
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM cairo-clock-fix-ldflags.patch deb#624922 vuntz@opensuse.org -- Taken from Debian, fix "unrecognized option '--export-dynamic'"
Patch0:         cairo-clock-fix-ldflags.patch
# Note: src/cairo-clock.c has a link to the GPL (unversioned) on gnu.org; when the file was created, that link was pointing to GPL-2.0, not GPL-3.0
License:        GPL-2.0
Group:          Amusements/Toys/Clocks
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  librsvg2-devel
BuildRequires:  update-desktop-files

%description
It is an analog clock displaying the system-time. It leverages the
new visual features offered by a compositing manager to produce a
time display with pretty-pixels.

%lang_package

%prep
%setup -q
%patch0 -p1

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name} X-SuSE-DesktopUtility
%fdupes %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%license COPYING
%doc AUTHORS NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%doc %{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Sun Apr 18 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed SPEC file, replace URL with working upstream URL.
* Thu Jan 30 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Thu Jan 17 2013 vuntz@opensuse.org
- Change license from GPL-2.0+ to GPL-2.0, as some files do not
  have "or later" in the license. Fix bnc#756371.
* Fri Apr  6 2012 vuntz@opensuse.org
- Add cairo-clock-fix-ldflags.patch: fix build error because of
  non-existing gcc flag. Patch taken from Debian.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Mon May 18 2009 vuntz@novell.com
- Do not use tabs, remove trailing white spaces.
- Use Amusements/Toys/Clocks as Group.
- Split lang package.
* Sat May 16 2009 dominique-obs@leuenberger.net
- Upgraded to version 0.3.4
- some small spec cleanups
- removed BUGS from %%doc (there are none!)
* Fri May 15 2009 dominique-obs@leuenberger.net
- Fixup spec file for proper building in OBS.
